Skip to Content
0
Former Member
Dec 13, 2006 at 01:08 AM

SAP Java Gui in Solaris 10 x86.

17 Views

Who run the Java Gui in Solaris 10 x86?

After I installed Java Gui in Solaris 10 x86 and run guilogon, when I connect the server I created, I got the error message:

Attempt to load shared library /opt/SAPClients/SAPGui7.00/binlibJPlatin.so failed.

The library file exists, so either the program

don't has the privileges to access the library

or the library is not loadable by the shared object loader

Technical information:

Error location: GuiJniLoader.loadPlatinLibrary()

Error message: /opt/SAPClients/SAPGUI7.00/bin/libJPlation.so:ld.so.1:java:fatal:/opt/SAPClients/SAPGUI7.00/bin/libJPlatin.so:wrong ELF data format:ELFDATA2MSB

After I confirm the dialog, another error message appears:

JniAgiLibAdaptor.<init>: Cannot load JNI library.

I checked the supported OS, it doesn't contains Solaris 10 X86, but I think Solaris 10 was open source, just like linux, why doesn't SAP Java Gui support Solaris 10 X86? And now , how can I solve this problem?